#
# spec file for package perl-Regexp-Common
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name Regexp-Common
Name:           perl-Regexp-Common
Version:        2024080801.0.0
Release:        1.1
# 2024080801 -> normalize -> 2024080801.0.0
%define cpan_version 2024080801
#Upstream: SUSE-Public-Domain
License:        Artistic-1.0 OR Artistic-2.0 OR BSD-3-Clause OR MIT
Summary:        Provide commonly requested regular expressions
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/A/AB/ABIGAIL/%{cpan_name}-%{cpan_version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
Provides:       perl(Regexp::Common) = %{version}
Provides:       perl(Regexp::Common::CC) = %{version}
Provides:       perl(Regexp::Common::Entry)
Provides:       perl(Regexp::Common::SEN) = %{version}
Provides:       perl(Regexp::Common::URI) = %{version}
Provides:       perl(Regexp::Common::URI::RFC1035) = %{version}
Provides:       perl(Regexp::Common::URI::RFC1738) = %{version}
Provides:       perl(Regexp::Common::URI::RFC1808) = %{version}
Provides:       perl(Regexp::Common::URI::RFC2384) = %{version}
Provides:       perl(Regexp::Common::URI::RFC2396) = %{version}
Provides:       perl(Regexp::Common::URI::RFC2806) = %{version}
Provides:       perl(Regexp::Common::URI::fax) = %{version}
Provides:       perl(Regexp::Common::URI::file) = %{version}
Provides:       perl(Regexp::Common::URI::ftp) = %{version}
Provides:       perl(Regexp::Common::URI::gopher) = %{version}
Provides:       perl(Regexp::Common::URI::http) = %{version}
Provides:       perl(Regexp::Common::URI::news) = %{version}
Provides:       perl(Regexp::Common::URI::pop) = %{version}
Provides:       perl(Regexp::Common::URI::prospero) = %{version}
Provides:       perl(Regexp::Common::URI::tel) = %{version}
Provides:       perl(Regexp::Common::URI::telnet) = %{version}
Provides:       perl(Regexp::Common::URI::tv) = %{version}
Provides:       perl(Regexp::Common::URI::wais) = %{version}
Provides:       perl(Regexp::Common::_support) = %{version}
Provides:       perl(Regexp::Common::balanced) = %{version}
Provides:       perl(Regexp::Common::comment) = %{version}
Provides:       perl(Regexp::Common::delimited) = %{version}
Provides:       perl(Regexp::Common::lingua) = %{version}
Provides:       perl(Regexp::Common::list) = %{version}
Provides:       perl(Regexp::Common::net) = %{version}
Provides:       perl(Regexp::Common::number) = %{version}
Provides:       perl(Regexp::Common::profanity) = %{version}
Provides:       perl(Regexp::Common::whitespace) = %{version}
Provides:       perl(Regexp::Common::zip) = %{version}
%undefine       __perllib_provides
%{perl_requires}

%description
By default, this module exports a single hash ('%RE') that stores or
generates commonly needed regular expressions (see "List of available
patterns").

There is an alternative, subroutine-based syntax described in
"Subroutine-based interface".

%prep
%autosetup  -n %{cpan_name}-%{cpan_version}

find . -type f ! -path "*/t/*" ! -name "*.pl" ! -path "*/bin/*" ! -path "*/script/*" ! -path "*/scripts/*" ! -name "configure" -print0 | xargs -0 chmod 644

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc Changes COPYRIGHT COPYRIGHT.AL COPYRIGHT.AL2 COPYRIGHT.BSD COPYRIGHT.MIT README TODO
%license LICENSE

%changelog
* Fri Aug  9 2024 Tina Müller <timueller+perl@suse.de>
- updated to 2024080801.0.0 (2024080801)
  see /usr/share/doc/packages/perl-Regexp-Common/Changes
  Version 2024080801 Thu Aug  8 19:06:47 CEST 2024
  + Eliminate 'use vars'.
  + Update the MySQL comment pattern.
* Fri Jun  9 2017 coolo@suse.com
- updated to 2017060201
  see /usr/share/doc/packages/perl-Regexp-Common/Changes
* Wed Apr  5 2017 coolo@suse.com
- updated to 2017040401
  see /usr/share/doc/packages/perl-Regexp-Common/Changes
  Version 2017040401 Tue Apr  4 11:20:45 CEST 2017
  + Prepare for 5.26: don't rely on '.' being present in @INC when testing.
* Sun Jun 12 2016 coolo@suse.com
- updated to 2016060801
  see /usr/share/doc/packages/perl-Regexp-Common/Changes
  Version 2016060801 Wed Jun  8 14:40:04 CEST 2016
  + Removed the optional leading 0 from Australian postal codes -- use -lax
    to enable this feature.
  + Improved the patterns for Belgian, Danish, Greenlandic, Swiss, Italian,
    German, French, and Norwegian postal codes, only matching actual
    valid codes.
    This implies rewriting their tests from scratch.
  + Added patterns for postal codes for Liechtenstein, Luxembourg,
    Monaco, San Marino, and Vatican City.
  + 2315992 tests in 73 files.
  Version 2016060201 Thu Jun  2 02:58:35 CEST 2016
  + Improved Australian zip code pattern; pattern matches current zip codes
  + Tests for Australian zip now use Test::Regexp.
  + Stop distributing author tests.
  + 522126 tests in 68 files.
  Version 2016060101 Wed Jun  1 00:34:17 CEST 2016
  + We ceased to support pre-5.10.0 perls.
  + Fix warnings for older perls ($RE {delimited})
  + Removed t/test_keep.t
  + Improved testing for square numbers.
  + Updated the Copyright notices to include the current year.
  + 481918 tests in 72 files.
* Tue May 31 2016 coolo@suse.com
- updated to 2016053101
  see /usr/share/doc/packages/perl-Regexp-Common/Changes
  Version 2016053101 Tue May 31 00:16:57 CEST 2016
  + Added a pattern for Austrian postal codes. (RT 53299)
  Version 2016053001 Mon May 30 14:12:17 CEST 2016
  + No change at all, work around PAUSE issues.
  Version 2016052901 Sun May 29 22:46:42 CEST 2016
  + Fix POD nit (RT 103850)
  + Don't run author only tests, unless AUTHOR_TESTING is set (RT 90600)
  + Added a 'strict' option to matching IPv4 addresses. (RT 93437)
  + 392978 tests in 71 files.
  Version 2016052804 Sat May 28 23:24:37 CEST 2016
  + Fix issues with matching Roman numerals, where the pattern wasn't greedy
    enough. (RT 104353)
  + Allow Roman numerals to match sequences of 4 Is, Xs, Cs and Ms. This
    raises the maximum number to be matched to 4999 (MMMMCMXCIX)
  + POD nits (Debian Perl Group)
  + 387994 tests in 67 files.
  Version 2016052803 Sat May 28 12:24:06 CEST 2016
  + POD nits (Debian Perl Group)
  + Eliminate the use of s///r (Slaven Rezix)
  + Require 5.014 for the 'bquote' pattern.
  Version 2016052802 Sat May 28 01:40:43 CEST 2016
  + Document what is captured for the 'bquote' pattern.
  Version 2016052801 Sat May 28 00:40:22 CEST 2016
  + When multiple delimiters are given, wrap the clauses inside a (?|).
    This makes that, under -keep, the used delimiters are always in
    $2 and $4, and the string between the delimiters is always in $3.
    A requirement on 5.10.0 is now in place for the 'delimited' and 'quoted'
    patterns.
  + The 'delimited' pattern now allows specifying closing delimiters which
    are different from the opening delimiters.
  + Added a 'bquoted' pattern, which is a shortcut for using the 'delimited'
    pattern with 85 mirror imaged bracketing constructs.
  + 248427 tests in 67 files.
* Sun Feb  7 2016 coolo@suse.com
- updated to 2016020301
  see /usr/share/doc/packages/perl-Regexp-Common/Changes
  Version 2016020301 Wed Feb  3 20:00:13 CET 2016
  + Fixed POD issue (Hernan Lopes)
* Wed Jan 13 2016 coolo@suse.com
- updated to 2016010801
  see /usr/share/doc/packages/perl-Regexp-Common/Changes
  Version 2016010801 Fri Jan  8 12:52:36 CET 2016
  + Use 'done_testing ()' instead of 'done_testing', so the test file compiles
    even if the user uses an old Test::More.
  Version 2016010701 Thu Jan  7 19:31:34 CET 2016
  + Removed the 29143 tests from t/number/integer.t, and replaced them with
    34689 spread over 7 new files. The reason is, there are sporadic failures
    reported by CPAN testers in the t/number/integer.t file, but this file
    uses the random number generator to generate tests. Which makes issues
    very hard to debug, as failures cannot be reproduced.
    The new tests will be deterministic.
* Wed Dec 16 2015 coolo@suse.com
- updated to 2015121601
  see /usr/share/doc/packages/perl-Regexp-Common/Changes
  Version 2015121601 Wed Dec 16 01:12:18 CET 2015
  + Force Darwin 10.0 on Perl 5.10.0 to run square tests in 32 bit mode.
* Tue Jun 11 2013 coolo@suse.com
- updated to 2013031301
  + Pattern for IPv6 addresses. Requested by Guy Edwards and many others.
    RT 50693.
  Version 2013031201 Tue Mar 12 15:44:48 CET 2013
  + Allow host/domain names to start with a digit, using
    $RE{net}{domain}{-rfc1101}. Requested by Guy Edwards and many others.
    RT 23626.
  Version 2013031101 Mon Mar 11 21:02:45 CET 2013
  + For integers and decimal numbers (reals), allow the user to specify the
    pattern of the signs (leading sign, and for reals, the sign of the exponent).
    This gives the user the option to ask for a pattern that matches unsigned
    numbers (by specifying the empty string as the pattern).
    Requested by "Wilson, Jonathan" <jonathan.wilson@Vanderbilt.Edu>.
  Version 2013030901 Sat Mar  9 14:51:42 CET 2013
  + Use (?-1) instead of (??{ }) for the recursive balanced pattern.
    This makes the pattern unavailable for pre-5.010 perls.
* Sat Feb 11 2012 coolo@suse.com
- updated to 2011121001
  + Fixed a few cases where $[ was used instead of $].
    (RT 73033 by Father Chrysostomos <sprout@cpan.org>)
  + Typo fix in docs (P Ramakers <pramakers@gmail.com>)
  + Add an explicite 1 to end the main module; otherwise it may fail under Mason
    (Luciano Rocha <luciano.rocha@booking.com>)
  Version 2011041801 Mon Apr 18 11:18:19 CEST 2011
  + Created tests for Pascal comments.
  + https schemes are now included in $RE {URI}
  + Document non-anchoring (RT 55549)
  + Fix POD typos (RT 67549 by Salvatore Bonaccorso <carnil@debian.org>)
* Mon Apr 18 2011 coolo@opensuse.org
- updated to 2011041701
  + Fix documentation (matches should be match). Reported by cogent@cpan.org
    in RT ticket 2833.
  + Added patterns for JavaDoc comments. (RT 13174 by chris+rt@chrisdolan.net)
  Version 2011041602 Sat Apr 16 17:06:28 CEST 2011
  + Fix typo in repository (avar@cpan.org)
  Version 2011041601 Sat Apr 16 16:07:29 CEST 2011
  + Fix bugs 61712 & 6940: $RE {num} {decimal} and $RE {num} {real} no longer
    match a single dot.
* Mon Apr  4 2011 coolo@novell.com
- updated to 2010010201
  Playing the CPANTS game
  + Adjustments for 5.005.
  + Add $VERSION to all submodules (RT #53250)
  Version 2009123001 Wed Dec 30 03:58:27 2009 +0100
  + Added Changes file, removed them from README.
  + Remove CVS traces.
  + Modernize Makefile.PL
  + POD tests
  + Work around a Darwin 9.0 on 5.8.8 issue. (RT #43786)
  + Fix POD issues. (RT #34886) (RT #48974)
  + Fail faster on some URI subpatterns (RT #52309)
  + Added many people to the Acknowledgements section.
* Tue Nov 30 2010 coolo@novell.com
- switch to perl_requires macro
* Sun Jan 10 2010 jengelh@medozas.de
- enable parallel build
* Sat Jul 25 2009 chris@computersalat.de
- spec mods
  * removed ^----------
  * removed ^#---------
* Sat Jun 27 2009 chris@computersalat.de
- added perl-macros
  o autogen filelist with perl_gen_filelist
- spec mods
  o fixed desc (from README)
* Fri Sep 12 2008 cwh@suse.de
- updated to 2.122:
  - Removed spurious '=head1' from README. (Smylers)
  - Comments for 'm4', 'Modula-2', 'Modula-3', 'Ubercode', and 'ZZT-OOP'.
  - Fix for French zip codes; addes Swiss zip codes (Rafael)
  - License change:
  You now have the option to use this software under either the original
  Artistic License, the Artistic License 2.0, the MIT license, or the BSD
  license.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Sep 28 2005 dmueller@suse.de
- add norootforbuild
* Fri Jun 17 2005 cwh@suse.de
- newly packaged with version 2.120
